/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef LCD_H
#define LCD_H

void LCD_Init(void);
void LCD_send_cmd(uint8_t data);
void LCD_refresh(void);
void lcd8544_putpix(unsigned char x, unsigned char y, unsigned char mode);
void lcd8544_line(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned char mode);
void lcd8544_rect(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned char mode); 
void lcd8544_putchar(unsigned char px, unsigned char py, unsigned char ch, unsigned char mode);
void lcd8544_putstr(unsigned char x, unsigned char y, const unsigned char str[], unsigned char mode);
void lcd8544_leftchline(unsigned char x, unsigned char y);
void Clear_LCD_buffer(void);

#endif /*LCD_H */
